Name: librep
Version: 0.92.4
Release: 1%{?dist}
Summary: A lightweight Lisp environment
License: GPLv2+
Group: Development/Languages
Source0: http://download.tuxfamily.org/%{name}/%{name}_%{version}.tar.bz2
URL: http://sawfish.wikia.com/

BuildRequires: gmp-devel
BuildRequires: gdbm-devel
BuildRequires: readline-devel
BuildRequires: libffi-devel
BuildRequires: texinfo
BuildRequires: chrpath
BuildRequires: emacs

%description
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the Emacs Lisp features while trying to remove some of the main
deficiencies, with features from Common Lisp and Scheme.

%package devel
Summary: Development files for librep
Group: Development/Languages
Requires: %{name} = %{version}-%{release}, pkgconfig

%description devel
Link libraries and C header files for librep development.

%package -n emacs-%{name}
Group: System Environment/Libraries
Summary: Emacs bindings for the librep main application
Requires: emacs(bin) >= %{_emacs_version}

%description -n emacs-%{name}
This package contains the Emacs related byte compiled files so that
librep nicely interacts and integrates into Emacs.

%package -n emacs-%{name}-el
Group: System Environment/Libraries
Summary: Emacs bindings for the librep main application
Requires: emacs-%{name} = %{version}-%{release}

%description -n emacs-%{name}-el
This package contains the Emacs related source files so that librep
nicely interacts and integrates into Emacs.

%prep
%setup -q -n %{name}_%{version}

%build
%configure --with-readline --enable-shared --disable-static
make %{?_smp_mflags}
%{_emacs_bytecompile} rep-debugger.el

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_infodir}/dir
chrpath --delete %{buildroot}%{_bindir}/rep
install -m 644 rep-debugger.elc %{buildroot}%{_emacs_sitelispdir}
find %{buildroot}%{_libdir} -name \*.la -exec rm '{}' \;

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig

%files
%doc NEWS README TODO COPYING
%{_bindir}/rep
%{_bindir}/rep-remote
%{_libdir}/librep.so.*
%{_libdir}/rep/
%{_datadir}/rep/
%{_datadir}/man/man1/rep-remote.1.gz
%{_datadir}/man/man1/rep.1.gz
%{_infodir}/librep.info.gz
%exclude %{_libdir}/rep/install-aliases
%exclude %{_libdir}/rep/libtool
%exclude %{_libdir}/rep/rules.mk

%files devel
%{_bindir}/rep-xgettext
%{_bindir}/repdoc
%{_includedir}/rep/
%{_libdir}/librep.so
%{_libdir}/pkgconfig/librep.pc
%{_libdir}/rep/install-aliases
%{_libdir}/rep/libtool
%{_libdir}/rep/rules.mk
%{_datadir}/man/man1/rep-xgettext.1.gz
%{_datadir}/man/man1/repdoc.1.gz

%files -n emacs-%{name}
%{_emacs_sitelispdir}/rep-debugger.elc

%files -n emacs-%{name}-el
%{_emacs_sitelispdir}/rep-debugger.el

%changelog
* Tue Nov  4 2014 Kim B. Heino <b@bbbs.net> - 0.92.4-1
- Update to 0.92.4

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 28 2014 Kim B. Heino <b@bbbs.net> - 0.92.3-5
- Fix stack direction on aarch64

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 17 2013 Kim B. Heino <b@bbbs.net> - 0.92.3-1
- Update to 0.92.3

* Tue Sep 04 2012 Dan Horák <dan[at]danny.cz> 0.92.2-6
- fix stack direction on s390(x)

* Thu Aug 09 2012 karsten Hopp <karsten@redhat.com> 0.92.2-5
- fix stack direction on PPC*

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 30 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.92.2-3
- Improve ARM platform detection

* Sun May 27 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.92.2-2
- Fix stack direction on ARM platforms
- Cleanup spec

* Mon Mar 26 2012 Kim B. Heino <b@bbbs.net> - 0.92.2-1
- Update to 0.92.2

* Sat Jan 14 2012 Kim B. Heino <b@bbbs.net> - 0.92.1-4
- Force stack direction check on x86_64 for gcc-4.7

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  2 2011 Kim B. Heino <b@bbbs.net> - 0.92.1-2
- Rebuild

* Mon Aug 22 2011 Kim B. Heino <b@bbbs.net> - 0.92.1-1
- Update to 0.92.1

* Tue May  3 2011 Kim B. Heino <b@bbbs.net> - 0.92.0-1
- Update to 0.92.0

* Tue Apr 19 2011 Dan Horák <dan[at]danny.cz> - 0.91.1-5
- don't use %%{_host} which can be modified by configure on non-x86 arches

* Tue Apr 12 2011 Kim B. Heino <b@bbbs.net> - 0.91.1-4
- Add emacs-librep subpackage

* Sat Apr  2 2011 Kim B. Heino <b@bbbs.net> - 0.91.1-3
- Fix dynamic loading

* Fri Apr  1 2011 Kim B. Heino <b@bbbs.net> - 0.91.1-2
- Fix Fedora packaging guideline errors

* Thu Mar 31 2011 Kim B. Heino <b@bbbs.net> - 0.91.1-1
- Update to 0.91.1

* Sat Sep 25 2010 Kim B. Heino <b@bbbs.net> - 0.91.0-1
- fix rpath again
- fix doc-files, url, misc fixes

* Sun Jan 10 2010 Kim B. Heino <b@bbbs.net> - 0.90.6-1
- fix devel package, fix rpmlint warnings

* Sat Sep 05 2009 Kim B. Heino <b@bbbs.net>
- add dist-tag, update buildrequires

* Sun Jan 18 2009 Christopher Bratusek <zanghar@freenet.de>
- several updates

* Fri Jan 02 2009 Christopher Bratusek <nano-master@gmx.de>
- source archive is a .tar.bz2

* Thu Dec 18 2008 Christopher Bratusek <nano-master@gmx.de>
- rep.m4 no longer available
- install librep.pc

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot
